Package org.apache.sling.caconfig.impl.override

# Class OsgiConfigurationOverrideProvider

java.lang.Object
org.apache.sling.caconfig.impl.override.OsgiConfigurationOverrideProvider

All Implemented Interfaces:
  `org.apache.sling.caconfig.spi.ConfigurationOverrideProvider`

public final class OsgiConfigurationOverrideProvider extends Object implements org.apache.sling.caconfig.spi.ConfigurationOverrideProvider
Provides parameter override map from OSGi factory configuration.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`OsgiConfigurationOverrideProvider.Config`

## Constructor Summary

Constructors
Constructor
Description
`OsgiConfigurationOverrideProvider()`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Collection<String>`
`getOverrideStrings()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OsgiConfigurationOverrideProvider

public OsgiConfigurationOverrideProvider()

## Method Details

### getOverrideStrings

@NotNull public @NotNull Collection<String> getOverrideStrings()

Specified by:
  `getOverrideStrings` in interface `org.apache.sling.caconfig.spi.ConfigurationOverrideProvider`